Summary:	MPD client library
Summary(pl.UTF-8):	Biblioteka kliencka MPD
Name:		libmpdclient
Version:	2.20
Release:	1
License:	BSD-like
Group:		Libraries
Source0:	https://www.musicpd.org/download/libmpdclient/2/%{name}-%{version}.tar.xz
# Source0-md5:	2c007da25c0de18921f9fb3155218865
URL:		http://www.musicpd.org/doc/libmpdclient/
BuildRequires:	doxygen
BuildRequires:	meson > 0.38.1
BuildRequires:	ninja
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Library for Music Player Daemon client development.

%description -l pl.UTF-8
Biblioteka do tworzenia klientów demona MPD (Music Player Daemon).

%package devel
Summary:	Header files for the MPD client library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki klienckiej MPD
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for MPD client library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki klienckiej MPD.

%package static
Summary:	Static MPD client library
Summary(pl.UTF-8):	Statyczna biblioteka kliencka MPD
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static MPD client library.

%description static -l pl.UTF-8
Statyczna biblioteka kliencka MPD.

%package -n vala-libmpdclient
Summary:	libmpdclient API for Vala language
Summary(pl.UTF-8):	API libmpdclient dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description -n vala-libmpdclient
libmpdclient API for Vala language.

%description -n vala-libmpdclient -l pl.UTF-8
API libmpdclient dla języka Vala.

%prep
%setup -q

%build
%meson build \
	-Ddocumentation=true

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

rm -rf $RPM_BUILD_ROOT%{_docdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.rst COPYING AUTHORS NEWS
%attr(755,root,root) %{_libdir}/libmpdclient.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libmpdclient.so.2

%files devel
%defattr(644,root,root,755)
%doc build/doc/html
%attr(755,root,root) %{_libdir}/libmpdclient.so
%{_includedir}/mpd
%{_pkgconfigdir}/libmpdclient.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libmpdclient.a

%files -n vala-libmpdclient
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libmpdclient.vapi
%changelog
* Wed Nov 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmpdclient.git;a=log;h=master

* Tue Nov 23 2021 Jan Palus <atler@pld-linux.org> a7dcb60
- updated source url to https

* Tue Nov 23 2021 Jan Palus <atler@pld-linux.org> a80a873
- BRs for tar.xz source

* Tue Nov 23 2021 Jan Palus <atler@pld-linux.org> bd86a06
- updated deprecated meson macros

* Tue Nov 23 2021 Jan Palus <atler@pld-linux.org> 373ee1e
- up to 2.20

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 3e0f2f3
- unconditional noarch subpackages

* Fri Jul 03 2020 Jan Palus <atler@pld-linux.org> 1436021
- up to 2.19

* Mon Jan 20 2020 Jan Palus <atler@pld-linux.org> ccacdd7
- up to 2.18

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 8efa7a7
- up to 2.17

* Tue Oct 09 2018 Jan Palus <atler@pld-linux.org> 3b57bb0
- up to 2.16

* Sun Sep 02 2018 Jan Palus <atler@pld-linux.org> 9f8376f
- up to 2.15

* Sun Feb 11 2018 Jan Palus <atler@pld-linux.org> 7e679b8
- up to 2.14

* Sat Jul 29 2017 Jan Palus <atler@pld-linux.org> efacc8e
- bump required rpmbuild(macros); rel 2

* Tue Jul 25 2017 Jan Palus <atler@pld-linux.org> ffd4fda
- up to 2.13

* Mon Apr 10 2017 Jan Palus <atler@pld-linux.org> 71f444b
- up to 2.11

* Mon Mar 28 2016 Elan Ruusamäe <glen@delfi.ee> 602b1b4
- noarch vala subpackage

* Tue Feb 24 2015 Jan Palus <atler@pld-linux.org> 33b7fa5
- up to 2.10

* Wed Oct 30 2013 Jan Palus <jan.palus@gmail.com> e92fa4f
- up to 2.9

* Sun Jul 21 2013 Jan Palus <jan.palus@gmail.com> 8d8505e
- up to 2.8
- update source url
- package vala api files

* Sat Jan 29 2011 Jan Palus <jan.palus@gmail.com> 9588939
- up to 2.4

* Mon Jul 26 2010 lisu <lisu@pld-linux.org> e63cbac
- 2.3

